
	


function loadMap(mapId,hue,saturation,lightness,gamma,zoom,type,bike,traffic,transit,animation) {
   
    //mapId, mapType, mapZoom
       
    var data;
    var marker = [];
    var infowindow =[];
    var polyline = [];
    var polygone = [];
    var circle = [];
    var newcirclemarker = [];
    var map_marker_edit;
    var geocoder;

    data = {
        action:'g_map_options',
        map_id:mapId,
        task:"getxml",
    }
    jQuery.post("index.php?option=com_googlemaps&task=ajax&format=json&controller=ajax&mapId=" + mapId, function (response) {
            response = JSON.parse(response);
            if(response.success) {
            var xml = jQuery.parseXML(response.success);
            var maps = xml.documentElement.getElementsByTagName("map");
            for(var i = 0; i < maps.length; i++){
                var trafficLayer = new google.maps.TrafficLayer();
                var bikeLayer = new google.maps.BicyclingLayer();
                var transitLayer = new google.maps.TransitLayer();
                var info_type = maps[i].getAttribute("info_type");
                var pan_controller = maps[i].getAttribute("pan_controller");
                var zoom_controller = maps[i].getAttribute("zoom_controller");
                var type_controller = maps[i].getAttribute("type_controller");
                var scale_controller = maps[i].getAttribute("scale_controller");
                var street_view_controller = maps[i].getAttribute("street_view_controller");
                var overview_map_controller = maps[i].getAttribute("overview_map_controller");
                var mapcenter = new google.maps.LatLng(
                parseFloat(maps[i].getAttribute("center_lat")),
                parseFloat(maps[i].getAttribute("center_lng")));
																		
                geocoder = new google.maps.Geocoder();
                geocoder.geocode({'latLng':mapcenter},function(results, status){
                    if (status == google.maps.GeocoderStatus.OK) {
                            address = results[0].formatted_address;
                            jQuery("#map_center_addr").val(address);
                    }
            })	
									
                    var styles = [{
                                    stylers:[
                                            { hue:hue },
                                            { saturation:saturation },
                                            { lightness:lightness },
                                            { gamma:gamma },
                                    ]}
                        ]
									
                    var mapOptions = {
                            zoom:parseInt(zoom),
                            center: mapcenter,
                            disableDefaultUI: true,
                            styles:styles,
                    };
                    map_admin_view = new google.maps.Map(document.getElementById('g_map_canvas'), mapOptions);
                                                                        
                    //MAP ANIMATIONS :)
                    var map_anim;
                    function huge_animate_map(){
                            var block1=jQuery(".admin_edit_section");
                            var block2=jQuery("#g_map_canvas");

                            block1.css({display:"block"});
                            block1.addClass("animated bounceInLeft");
                            setTimeout(function(){
                                    block2.removeClass("hide");
                                    if(animation=="none"){
                                            map_anim="bounceInRight";
                                    }else{
                                            map_anim=animation;
                                    }
                                    block2.addClass("animated "+map_anim);
                                    google.maps.event.trigger(map_admin_view, 'resize');
                                    map_admin_view.setCenter(mapcenter);
                            },500);

                    }
                    
						
                    huge_animate_map();
									
                    jQuery("#map_animation").on("change select",function(){
                            var map_block=jQuery("#g_map_canvas");
                            map_block.removeClass(map_anim);
                            map_anim=jQuery(this).val();
                            map_block.addClass(map_anim);
                    })
									
                    var input = document.getElementById("map_center_addr");
                    var autocomplete = new google.maps.places.Autocomplete(input);
                    google.maps.event.addListener(autocomplete, 'place_changed', function(){
                            var addr = jQuery("#map_center_addr").val();
                            var geocoder = geocoder = new google.maps.Geocoder();
                            //alert(addr);
                            geocoder.geocode({'address':addr},function(results, status){
                                    if (status == google.maps.GeocoderStatus.OK) {
                                            address = results[0].geometry.location;
                                            map_admin_view.setCenter(address);
                                            jQuery("#map_center_lat").val(address.lat());
                                            jQuery("#map_center_lng").val(address.lng());
                                    }
                             })
                    });
									jQuery("#map_center_addr").on("change input",function(){ 
										var addr = jQuery("#map_center_addr").val();
										var geocoder = geocoder = new google.maps.Geocoder();
										//alert(addr);
										geocoder.geocode({'address':addr},function(results, status){
											if (status == google.maps.GeocoderStatus.OK) {
												address = results[0].geometry.location;
												map_admin_view.setCenter(address);
												jQuery("#map_center_lat").val(address.lat());
												jQuery("#map_center_lng").val(address.lng());
											}
										 });
									});
									jQuery(".editing_heading").on("click",function(){
										google.maps.event.trigger(map_admin_view, 'resize');
										map_admin_view.setCenter(mapcenter);
										map_admin_view.setZoom(parseInt(zoom));
										
									})
									if(type=="ROADMAP"){
										map_admin_view.setOptions({mapTypeId:google.maps.MapTypeId.ROADMAP})
									}
									if(type=="SATELLITE"){
										map_admin_view.setOptions({mapTypeId:google.maps.MapTypeId.SATELLITE});
									}
									if(type=="HYBRID"){
										map_admin_view.setOptions({mapTypeId:google.maps.MapTypeId.HYBRID});
									}
									if(type=="TERRAIN"){
										map_admin_view.setOptions({mapTypeId:google.maps.MapTypeId.TERRAIN});
									}
									
									if(bike == "true"){
										bikeLayer.setMap(map_admin_view);
									}
									if(traffic == "true"){
										trafficLayer.setMap(map_admin_view);
									}
									if(transit == "true"){
										transitLayer.setMap(map_admin_view);
									}
																		
									
									jQuery(".map_styling_options_inputs").on("change",function(){
										//updateMapStyles();
									})
									
//									jQuery("#styling_set_default").on("click",function(){
//										setMapDefaultStyles();
//										return false;
//									})
									
									
									
									if(pan_controller == "true")
									{
										map_admin_view.setOptions({
											panControl: true,
										})
									}
									else
									{
										map_admin_view.setOptions({
											panControl: false,
										})
									}
									if(zoom_controller == "true")
									{
										map_admin_view.setOptions({
											zoomControl: true,
										})
									}
									else
									{
										map_admin_view.setOptions({
											zoomControl: false,
										})
									}
									if(type_controller == "true")
									{
										map_admin_view.setOptions({
											mapTypeControl: true,
										})
									}
									else
									{
										map_admin_view.setOptions({
											mapTypeControl: false,
										})
									}
									if(scale_controller == "true")
									{
										map_admin_view.setOptions({
											scaleControl: true,
										})
									}
									else
									{
										map_admin_view.setOptions({
											scaleControl: false,
										})
									}
									if(street_view_controller == "true")
									{
										map_admin_view.setOptions({
											streetViewControl: true,
										})
									}
									else
									{
										map_admin_view.setOptions({
											streetViewControl: false,
										})
									}
									if(overview_map_controller == "true")
									{
										map_admin_view.setOptions({
											overviewMapControl: true,
										})
									}
									else
									{
										map_admin_view.setOptions({
											overviewMapControl: false,
										})
									}
									
									jQuery(".map_controller_input").on("click",function(){
										if(jQuery('#map_controller_pan').is(':checked'))
										{
											map_admin_view.setOptions({
												panControl: true,
											})
										}
										else
										{
											map_admin_view.setOptions({
												panControl: false,
											})
										}
										if(jQuery('#map_controller_zoom').is(':checked'))
										{
											map_admin_view.setOptions({
												zoomControl: true,
											})
										}
										else
										{
											map_admin_view.setOptions({
												zoomControl: false,
											})
										}
										if(jQuery('#map_controller_type').is(':checked'))
										{
											map_admin_view.setOptions({
												mapTypeControl: true,
											})
										}
										else
										{
											map_admin_view.setOptions({
												mapTypeControl: false,
											})
										}
										if(jQuery('#map_controller_scale').is(':checked'))
										{
											map_admin_view.setOptions({
												scaleControl: true,
											})
										}
										else
										{
											map_admin_view.setOptions({
												scaleControl: false,
											})
										}
										if(jQuery('#map_controller_street_view').is(':checked'))
										{
											map_admin_view.setOptions({
												streetViewControl: true,
											})
										}
										else
										{
											map_admin_view.setOptions({
												streetViewControl: false,
											})
										}
										if(jQuery('#map_controller_overview').is(':checked'))
										{
											map_admin_view.setOptions({
												overviewMapControl: true,
											})
										}
										else
										{
											map_admin_view.setOptions({
												overviewMapControl: false,
											})
										}
									})
									jQuery("#map_type").on("change",function(){
										var type = jQuery(this).val();
										if(type == "ROADMAP")
										{
											map_admin_view.setMapTypeId(google.maps.MapTypeId.ROADMAP)
										}
										if(type == "SATELLITE")
										{
											map_admin_view.setMapTypeId(google.maps.MapTypeId.SATELLITE)
										}
										if(type == "HYBRID")
										{
											map_admin_view.setMapTypeId(google.maps.MapTypeId.HYBRID)
										}
										if(type == "TERRAIN")
										{
											map_admin_view.setMapTypeId(google.maps.MapTypeId.TERRAIN)
										}
									})
									var markers = xml.documentElement.getElementsByTagName("marker");
									for(j = 0; j < markers.length; j++)
									{
										var name = markers[j].getAttribute("name");
										var address = markers[j].getAttribute("address");
										var anim = markers[j].getAttribute("animation");
										var description = markers[j].getAttribute("description");
										var markimg = markers[j].getAttribute("img");
										var img = new google.maps.MarkerImage(markimg,
										 new google.maps.Size(20, 20));
										var point = new google.maps.LatLng(
											parseFloat(markers[j].getAttribute("lat")),
											parseFloat(markers[j].getAttribute("lng")));
										var html = "<b>" + name + "</b> <br/>" + address;
										if(anim == 'DROP'){
											marker[j] = new google.maps.Marker({
											map: map_admin_view,
											position: point,
											title: name,
											icon: markimg,
											content: description,
											animation: google.maps.Animation.DROP,
											});
										}
										if(anim == 'BOUNCE'){
											marker[j] = new google.maps.Marker({
											map: map_admin_view,
											position: point,
											title: name,
											content: description,
											icon: markimg,
											animation: google.maps.Animation.BOUNCE
											});
										}
										if(anim == 'NONE'){
												marker[j] = new google.maps.Marker({
												map: map_admin_view,
												position: point,
												icon: markimg,
												content: description,
												title: name,
											});
										}
										infowindow[j] = new google.maps.InfoWindow;

										bindInfoWindow(marker[j], map_admin_view, infowindow[j], description, info_type);
                                                                               
										
										jQuery("#map_infowindow_type").on("click",bindInfoWindow(marker[j], map_admin_view, infowindow[j], description, jQuery("#map_infowindow_type").val()));
										jQuery(".edit_list_delete_submit").on("click",function(){
											var parent = jQuery(this).parent();
											var typeelement = parent.find(".edit_list_delete_type");
											var type =typeelement.val();
											var parent = jQuery(this).parent();
											var idelement = parent.find(".edit_list_delete_id");
											var tableelement = parent.find(".edit_list_delete_table");
											var id=idelement.val();
											var table = tableelement.val();
											var li = jQuery(this).parent().parent().parent();
											var x = li.index();
											if(type=="marker")
											{
												marker[x].setMap(null);
												deleteItem(id,table,li,x);
											}
											return false;
										})
									}
								}
								var polygones = xml.documentElement.getElementsByTagName("polygone");
								for(var k = 0; k < polygones.length; k++)
								{
									
									var name = polygones[k].getAttribute("name");
									var new_line_opacity = polygones[k].getAttribute("line_opacity");
									var new_line_color = "#"+polygones[k].getAttribute("line_color");
									var new_fill_opacity = polygones[k].getAttribute("fill_opacity");
									var new_line_width = polygones[k].getAttribute("line_width");
									var new_fill_color = "#"+polygones[k].getAttribute("fill_color");
									var latlngs = polygones[k].getElementsByTagName("latlng");
									var hover_new_line_opacity=polygones[k].getAttribute("hover_line_opacity");
									var hover_new_line_color="#"+polygones[k].getAttribute("hover_line_color");
									var hover_new_fill_opacity=polygones[k].getAttribute("hover_fill_opacity");
									var hover_new_fill_color="#"+polygones[k].getAttribute("hover_fill_color");
									polygoncoords = [];
									for(var g = 0; g < latlngs.length; g++)
									{
										polygonpoints = new google.maps.LatLng(parseFloat(latlngs[g].getAttribute("lat")),
											parseFloat(latlngs[g].getAttribute("lng")))
										polygoncoords.push(polygonpoints)
									}
									//alert(polygoncoords);

									polygone[k] = new google.maps.Polygon({
										paths : polygoncoords,
										map: map_admin_view,
										strokeOpacity: new_line_opacity,
										strokeColor:new_line_color,
										strokeWeight:new_line_width,
										fillOpacity:new_fill_opacity,
										fillColor:new_fill_color,
										draggable:false,
									});
									google.maps.event.addListener(polygone[k], 'click', function(event){
										var polygone_index = polygone.indexOf(this);
										var polygone_url = polygones[polygone_index].getAttribute("url");
										if(polygone_url != "")
										{
											window.open(polygone_url, '_blank');
										}
									})
									google.maps.event.addListener(polygone[k], 'mouseover', function(event){
										var polygone_index = polygone.indexOf(this);
										hover_new_line_opacity=polygones[polygone_index].getAttribute("hover_line_opacity");
										hover_new_line_color="#"+polygones[polygone_index].getAttribute("hover_line_color");
										hover_new_fill_opacity=polygones[polygone_index].getAttribute("hover_fill_opacity");
										hover_new_fill_color="#"+polygones[polygone_index].getAttribute("hover_fill_color");
										this.setOptions({ 
											strokeColor:hover_new_line_color,
											strokeOpacity:hover_new_line_opacity,
											fillOpacity:hover_new_fill_opacity,
											fillColor:hover_new_fill_color,
										}); 
									})
									google.maps.event.addListener(polygone[k], 'mouseout', function(event){
										polygone_index = polygone.indexOf(this);
										new_line_opacity = polygones[polygone_index].getAttribute("line_opacity");
										new_line_color = "#"+polygones[polygone_index].getAttribute("line_color");
										new_fill_opacity = polygones[polygone_index].getAttribute("fill_opacity");
										new_line_width = polygones[polygone_index].getAttribute("line_width");
										new_fill_color = "#"+polygones[polygone_index].getAttribute("fill_color");
										this.setOptions({ 
											strokeColor:new_line_color,
											strokeOpacity:new_line_opacity,
											fillOpacity:new_fill_opacity,
											fillColor:new_fill_color,
										}); 
									})
									
									jQuery(".edit_list_delete_submit").on("click",function(){
										var parent = jQuery(this).parent();
										var typeelement = parent.find(".edit_list_delete_type");
										var type =typeelement.val();
										var parent = jQuery(this).parent();
											var idelement = parent.find(".edit_list_delete_id");
											var tableelement = parent.find(".edit_list_delete_table");
											var id=idelement.val();
											var table = tableelement.val();
											var li = jQuery(this).parent().parent().parent();
											var x = li.index();
										if(type=="polygone")
										{
											
											
												polygone[x].setMap(null);
                                                                                               // deleteItem(id,table,li,x);
										}
										return false;
									})
									
									
								}
								var polylines = xml.documentElement.getElementsByTagName("polyline");
								for(var q = 0; q< polylines.length; q++)
								{
									var name = polylines[q].getAttribute("name");
									var line_opacity = polylines[q].getAttribute("line_opacity");
									var line_color = polylines[q].getAttribute("line_color");
									var line_width = polylines[q].getAttribute("line_width");
									var latlngs = polylines[q].getElementsByTagName("latlng");
									var newpolylinecoords =[];
									for(var g = 0; g < latlngs.length; g++)
									{
										polylinepoints = new google.maps.LatLng(parseFloat(latlngs[g].getAttribute("lat")),
											parseFloat(latlngs[g].getAttribute("lng")))
										newpolylinecoords.push(polylinepoints)
									}
									polyline[q] = new google.maps.Polyline({
										path:newpolylinecoords,
										map:map_admin_view,
										strokeColor:"#"+line_color,
										strokeOpacity:line_opacity,
										strokeWeight:line_width,
									})
									google.maps.event.addListener(polyline[q], 'mouseover', function(event){
										var polyline_index = polyline.indexOf(this);
										hover_new_line_opacity=polylines[polyline_index].getAttribute("hover_line_opacity");
										hover_new_line_color="#"+polylines[polyline_index].getAttribute("hover_line_color");
										this.setOptions({ 
											strokeColor:hover_new_line_color,
											strokeOpacity:hover_new_line_opacity,
										}); 
									})
									google.maps.event.addListener(polyline[q], 'mouseout', function(event){
										polyline_index = polyline.indexOf(this);
										new_line_opacity = polylines[polyline_index].getAttribute("line_opacity");
										new_line_color = "#"+polylines[polyline_index].getAttribute("line_color");
										new_line_width = polylines[polyline_index].getAttribute("line_width");
										this.setOptions({ 
											strokeColor:new_line_color,
											strokeOpacity:new_line_opacity,
										}); 
									})
									jQuery(".edit_list_delete_submit").on("click",function(){
										var parent = jQuery(this).parent();
										var typeelement = parent.find(".edit_list_delete_type");
										var type =typeelement.val();
										var parent = jQuery(this).parent();
										var idelement = parent.find(".edit_list_delete_id");
										var tableelement = parent.find(".edit_list_delete_table");
										var id=idelement.val();
										var table = tableelement.val();
										var li = jQuery(this).parent().parent().parent();
										var x = li.index();
										if(type == "polyline")
										{
												polyline[x].setMap(null);
												//deleteItem(id,table,li,x);
											
										}
										return false;
									})
								}
								var circles = xml.documentElement.getElementsByTagName("circle");
								for(var u = 0; u< circles.length; u++)
								{
									var circle_name =circles[u].getAttribute("name");
									var circle_center_lat = circles[u].getAttribute("center_lat");
									var circle_center_lng = circles[u].getAttribute("center_lng");
									var circle_radius = circles[u].getAttribute("radius");
									var circle_line_width = circles[u].getAttribute("line_width");
									var circle_line_color = circles[u].getAttribute("line_color");
									var circle_line_opacity = circles[u].getAttribute("line_opacity");
									var circle_fill_color = circles[u].getAttribute("fill_color");
									var circle_fill_opacity = circles[u].getAttribute("fill_opacity");
									var circle_show_marker = parseInt(circles[u].getAttribute("show_marker"));
									circlepoint = new google.maps.LatLng(parseFloat(circles[u].getAttribute("center_lat")),
									parseFloat(circles[u].getAttribute("center_lng")));
									circle[u] = new google.maps.Circle({
										map:map_admin_view,
										center:circlepoint,
										title:name,
										radius:parseInt(circle_radius),
										strokeColor:"#"+circle_line_color,
										strokeOpacity:circle_line_opacity,
										strokeWeight:circle_line_width,
										fillColor:"#"+circle_fill_color,
										fillOpacity:circle_fill_opacity
									})
									google.maps.event.addListener(circle[u], 'mouseover', function(event){
										var circle_index = circle.indexOf(this);
										hover_new_line_opacity=circles[circle_index].getAttribute("hover_line_opacity");
										hover_new_line_color="#"+circles[circle_index].getAttribute("hover_line_color");
										hover_new_fill_opacity=circles[circle_index].getAttribute("hover_fill_opacity");
										hover_new_fill_color="#"+circles[circle_index].getAttribute("hover_fill_color");
										this.setOptions({ 
											strokeColor:hover_new_line_color,
											strokeOpacity:hover_new_line_opacity,
											fillOpacity:hover_new_fill_opacity,
											fillColor:hover_new_fill_color,
										}); 
									})
									google.maps.event.addListener(circle[u], 'mouseout', function(event){
										circle_index = circle.indexOf(this);
										new_line_opacity = circles[circle_index].getAttribute("line_opacity");
										new_line_color = "#"+circles[circle_index].getAttribute("line_color");
										new_fill_opacity = circles[circle_index].getAttribute("fill_opacity");
										new_fill_color = "#"+circles[circle_index].getAttribute("fill_color");
										this.setOptions({ 
											strokeColor:new_line_color,
											strokeOpacity:new_line_opacity,
											fillOpacity:new_fill_opacity,
											fillColor:new_fill_color,
										}); 
									})
									
									jQuery(".edit_list_delete_submit").on("click",function(){
										var parent = jQuery(this).parent();
										var typeelement = parent.find(".edit_list_delete_type");
										var type =typeelement.val();
										var parent = jQuery(this).parent();
										var idelement = parent.find(".edit_list_delete_id");
										var tableelement = parent.find(".edit_list_delete_table");
										var id=idelement.val();
										var table = tableelement.val();
										var li = jQuery(this).parent().parent().parent();
										var x = li.index();
										if(type=="circle")
										{
										
												circle[x].setMap(null);
												//deleteItem(id,table,li,x);
										}
										return false;
									})
									if(circle_show_marker == '1')
									{
										newcirclemarker[i] = new google.maps.Marker({
											position:circlepoint,
											map:map_admin_view,
											title:circle_name,
										})
									}
								}
                                                                
							}
                                                        
   });
   
   function parseFromXml(str){
        return str.replace(/&amp;/g, "&").replace(/&gt;/g, ">").replace(/&lt;/g, "<").replace(/&quot;/g, '"').replace(/&#39;/g, "'");
    }
    
    function bindInfoWindow(marker, map, infowindow, description, info_type) {
        description = parseFromXml(description);
        if (info_type == "click")
        {
            google.maps.event.addListener(marker, 'click', function () {
                infowindow.setContent(description);
                infowindow.open(map, marker);
            });
        }
        if (info_type == "hover")
        {
            google.maps.event.addListener(marker, 'mouseover', function () {
                infowindow.setContent(description);
                infowindow.open(map, marker);
            });
            google.maps.event.addListener(marker, 'mouseout', function () {
                infowindow.close(map, marker);
            });
        }

    }
   

	
}	